"""empty message

Revision ID: bcb926966e11
Revises: 
Create Date: 2022-08-09 21:34:45.317775

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'bcb926966e11'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('Games',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('game', sa.String(length=64), nullable=True),
    sa.Column('desc', sa.String(length=64), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('game')
    )
    op.create_table('Levels',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('game', sa.Integer(), nullable=True),
    sa.Column('level', sa.String(length=64), nullable=True),
    sa.Column('desc', sa.String(length=64), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('Players',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('player', sa.String(length=64), nullable=True),
    sa.Column('first', sa.String(length=64), nullable=True),
    sa.Column('last', sa.String(length=64), nullable=True),
    sa.Column('street', sa.String(length=64), nullable=True),
    sa.Column('plz', sa.Integer(), nullable=True),
    sa.Column('city', sa.String(length=64), nullable=True),
    sa.Column('country', sa.String(length=64), nullable=True),
    sa.Column('email', sa.String(length=64), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('player')
    )
    op.create_table('Results',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('player', sa.Integer(), nullable=True),
    sa.Column('game', sa.Integer(), nullable=True),
    sa.Column('level', sa.Integer(), nullable=True),
    sa.Column('score', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('player')
    )
    op.create_table('Users',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('username', sa.String(length=64), nullable=True),
    sa.Column('email', sa.String(length=64), nullable=True),
    sa.Column('password', sa.LargeBinary(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email'),
    sa.UniqueConstraint('username')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('Users')
    op.drop_table('Results')
    op.drop_table('Players')
    op.drop_table('Levels')
    op.drop_table('Games')
    # ### end Alembic commands ###
